Home Forums Themes Rica Plus problem with PHP 7

problem with PHP 7

  • Author
    Posts
  • #48395

    nedana
    Participant

    Hi,

    I’d like to know if your theme is compatible with PHP 7.0.19…? Because I have a lot of problem.

    I installed the plugin „PHP Compatibility Checker“ to see where are the problems and the result is that they are on RICA THEME and RICA FRAMEWORK

    See that…:

    FOR RICA THEME

    FILE: /var/www/virtual/the-oneclub.ch/htdocs/wp-content/themes/rica/templates/single/related.php
    —————–
    FOUND 1 ERROR AFFECTING 1 LINE
    —————-
    69 | ERROR | Using a call-time pass-by-reference is deprecated since PHP 5.3 and prohibited since PHP 5.4
    —————
    FOR RICA FRAMEWORK

    FILE: /var/www/virtual/the-oneclub.ch/htdocs/wp-content/plugins/rica-framework/includes/MetaBox.php
    —————————————–
    FOUND 1 ERROR AFFECTING 1 LINE
    ——————————————
    543 | ERROR | preg_replace() – /e modifier is deprecated since PHP 5.5 and removed since PHP 7.0

    FILE: /var/www/virtual/the-oneclub.ch/htdocs/wp-content/plugins/rica-framework/core/theme-options/inc/browser.php
    ——————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————–
    113 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    —————————————-
    FILE: /var/www/virtual/the-oneclub.ch/htdocs/wp-content/plugins/rica-framework/core/less/Less.php
    —————————————————
    FOUND 3 ERRORS AND 1 WARNING AFFECTING 2 LINES

    91 | WARNING | INI directive ‘mbstring.internal_encoding’ is deprecated since PHP 5.6 9906 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0 9906 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0 9906 | ERROR | Bitwise shifts by negative number will throw an ArithmeticError in PHP 7.0

    regards

Cannot reply in this topic, If you have any issue, please create new topic